<?php
/**
* @version $Id: index.php,v 1.5 2005/02/20 21:44:16 mic Exp $
* @package Mambo
* @copyright (C) 2000 - 2005 Miro International Pty Ltd
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* Mambo is Free Software
* @edited bymic (developer@mamboworld.net) www.mamboworld.net
*/

/**
* >> for future developers: please change version number, date and version name to a city (next letter in alphabet) from your country and explain here the reason why this city and maybe important facts about
**/

/**
* version 2.x
* Dalaas - nicht Dallas! Dallas besteht seit zirka 1300 a.d. un dbefindet sich in Vorarlberg, genauer gesagt im
* Klostertal. Berhmt im Winter fr die herrlichen Skigebiete in und rundum Dalaas.
*
* version 1.3.x
* Baden: eine kleine Stadt, ca. 30 km sdlich von Wien. Berhmt fr seine Kurbder und das Spielcasino. sterreichs
* einziges Strandbad mit echtem Meersand!
*
* version 1.2.x
* Alpbach: ein kleiner Ort mit knapp 600 Einwohnern in Tirol. Aber berhmt seit 25 Jahren fr die "Alpbacher Tage",
* wobei jhrlich im sommer fr 14 Tage von und mit berhmten Personen aus aller Welt ber die Zukunft dieses Planeten
* diskutiert wird.
*
* version 1.1.x
* Absam: a small town in Austria, Tyrol, nearby Innsbruck (from where i am).
* In Absam is the famous school for alpine skijumpers, which won so many medails and titles in the last 30 years
* at world and other championships as well at the olympic games. All for Austria.
*
*/

/** Set flag that this is a parent file */
define( "_VALID_MOS", 1 );

$installer_version = '2.0 [20.02.2005] Dalaas';

if (file_exists( '../configuration.php' ) && filesize( '../configuration.php' ) > 10) {
	header( 'Location: ../index.php' );
	exit();
}
require_once ( '../includes/version.php' );
include_once ( 'common.php' );

//$installer_version = trim( mosGetParam( $_POST, 'installer_version', '' ) );
$language_install = trim( mosGetParam( $_POST, 'language_install', '' ) );
$admin_language_install = trim( mosGetParam( $_POST, 'admin_language_install', '' ) );
$user_language_install = trim( mosGetParam( $_POST, 'user_language_install', '' ) );
$install_iso = trim( mosGetParam( $_POST, 'install_iso', '' ) );

include_once ( 'language_detection.php' );

if ( file_exists( 'language/install_'.$language_install.'.php')) {
	include( 'language/install_'.$language_install.'.php' );
} else {
	include( 'language/install_english.php' );
}

$lng_choose = array(999 => _INSTALL_LANGUAGE_CHOOSE );

function get_php_setting($val) {
	$r =  (ini_get($val) == '1' ? 1 : 0);
	return $r ? _INSTALL_ON : _INSTALL_OFF;
}

function writableCell( $folder ) {
	echo '<tr>';
	echo '<td class="item">' . $folder . '/</td>';
	echo '<td align="left">';
	echo is_writable( '../'. $folder ) ? '<strong><font color="green">' . _INSTALL_WRITABLE . '</font></strong>' : '<strong><font color="red">' . _INSTALL_UNWRITABLE . '</font></strong>' . '</td>';
	echo '</tr>';
}

function html_convert( $text ){
	// if php <= 4.3 we cannot use htm_entity_decode (borought by php.net)
	if( phpversion() <= '4.3.0' ) {
		$trans_tbl = get_html_translation_table( HTML_ENTITIES );
   		$trans_tbl = array_flip( $trans_tbl );
   		$text = strtr( $text, $trans_tbl );
	}else{
		// php.version is greater then 4.3.0
		$text = html_entity_decode( $text );
	}
	return $text;
}

echo "<?xml version=\"1.0\" encoding=\"" . $install_iso . "\"?".">"; ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Mambo - Web Installer :: <?php echo _INSTALL_STEP_PRECHECK; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $install_iso; ?>" />
<link rel="shortcut icon" href="../../images/favicon.ico" />
<link rel="stylesheet" href="install.css" type="text/css" />
</head>
<body>
<?php
if( file_exists( 'images/header_' . substr( $language_install, 0, 3 ) . '_install.png' ) ){
	$install_img = 'images/header_' . substr( $language_install, 0, 3 ) . '_install.png';
}else $install_img = 'images/header_eng_install.png'; ?>
<div id="wrapper">
	<div id="header">
		<div id="mambo">
    		<img src="<?php echo $install_img ; ?>" alt="<?php echo _INSTALL_MAMBO; ?>" />
    		<?php echo '<font color="#FF9900"><strong>' . $installer_version . '</strong></font>'; ?>
    	</div>
	</div>
</div>

<div id="ctr" align="center">
	<div class="install">
		<div id="stepbar">
			<div class="step-on"><?php echo _INSTALL_STEP_PRECHECK; ?></div>
			<div class="step-off"><?php echo _INSTALL_STEP_LICENSE; ?></div>
			<div class="step-off"><?php echo _INSTALL_STEP_1; ?></div>
			<div class="step-off"><?php echo _INSTALL_STEP_2; ?></div>
			<div class="step-off"><?php echo _INSTALL_STEP_3; ?></div>
			<div class="step-off"><?php echo _INSTALL_STEP_4; ?></div>
		</div>

		<div id="right">
			<form action="install.php" method="post" name="form" id="form">
				<div id="step"><?php echo _INSTALL_PRECHECK_TITLE; ?></div>
				<div class="far-right">
					<input type="hidden" name="language_install" value="<?php echo $language_install; ?>" />
					<input type="hidden" name="installer_version" value="<?php echo $installer_version; ?>" />
					<input type="hidden" name="detected_lang" value="<?php echo $detected_lang; ?>" />
					<input type="hidden" name="admin_language_install" value="<?php echo $admin_language_install; ?>" />
					<input type="hidden" name="user_language_install" value="<?php echo $user_language_install; ?>" />
					<input type="hidden" name="install_iso" value="<?php echo $install_iso; ?>" />
					<input name="Button2" type="submit" class="button" value="<?php echo _INSTALL_NEXT; ?>" onclick="window.location='install.php';" />
				</div>
				<div class="clr"></div>
			</form>

			<form action="index.php" method="post" name="Langue">
				<h1><?php echo _INSTALL_LANGUAGE_SECTION; ?>:</h1>
				<div class="install-text"> <?php echo _INSTALL_LANGUAGE_DESCRIPTION; ?>
					<div class="ctr"></div>
				</div>

				<div class="install-form">
					<div class="form-block">
						<table class="content">
							<tr>
								<td class="item"> <?php echo _INSTALL_LANGUAGE_LABEL; ?> </td>
								<td align="left">
									<?php
									$handle = @opendir( 'language' );
									$tmp_lang = array();
									while ( $file = @readdir ( $handle ) ) {
										if( strtolower( substr( $file, 0, 8 )) == 'install_' ){
											$file = str_replace( 'install_', '', $file );
											$file = str_replace( '.php', '', $file );
											$tmp_lang[] = strtolower( $file );
										} // end if
									} // end while
									@closedir( $handle );
									sort( $tmp_lang );
									echo '<select size="1" name="language_install" type="submit" onchange="this.form.submit();">';
									foreach ( $tmp_lang as $lang_found ){
										if( $lang_found == $language_install ){
											echo '<option value ="'.$lang_found.'" Selected>'.ucfirst($lang_found)."</option>\n";
										}else{
											echo '<option value ="'.$lang_found.'">'.ucfirst($lang_found)."</option>\n";
										}
									}
									echo '</select>';
									?>
								</td>
							</tr>
							<tr>
								<td colspan="2"><hr></td>
							</tr>
							<tr>
								<td><?php echo _INSTALL_LANGUAGE_BACK; ?></td>
								<td>
									<?php
									$handle = @opendir( '../language/alang' );
									$admin_lang = array();
									while ( $file = @readdir ( $handle ) ) {
										if( strtolower( substr( $file, 0, 6 )) == 'admin_' ){
											$file = str_replace( 'admin_', '', $file );
											$file = str_replace( '.php', '', $file );
											$admin_lang[] = strtolower( $file );
										} // end if
									} // end while
									@closedir( $handle );
									$admin_lang = $admin_lang + $lng_choose;
									sort( $admin_lang );
									echo '<select size="1" name="admin_language_install" type="submit" onchange="this.form.submit();">';
									foreach ( $admin_lang as $admin_lang_found ){
										if( $admin_lang_found == $admin_language_install ){
											echo '<option value ="'.$admin_lang_found.'" Selected>'.ucfirst($admin_lang_found)."</option>\n";
										}else{
											echo '<option value ="'.$admin_lang_found.'">'.ucfirst($admin_lang_found)."</option>\n";
										}
									}
									echo '</select>';
									?>
								</td>
							</tr>
							<!-- end backend> -->
							<tr>
								<td><?php echo _INSTALL_LANGUAGE_FRONT; ?></td>
								<td>
									<?php
									$handle = @opendir( '../language' );
									$user_lang = array();
									while ( $file = @readdir ( $handle ) ) {
										if( strtolower( substr( $file, 0, 6 )) != 'admin_' ){
											if( strtolower( substr( $file, -4 )) == '.php' ){
												if( strtolower( substr( $file, -10 )) != 'ignore.php' ){
													$file = str_replace( '.php', '', $file );
													$user_lang[] = strtolower( $file );
												} // end if ignore
											} // end if php
										} // end if admin
									} // end while
									@closedir( $handle );
									$user_lang = $user_lang + $lng_choose;
									sort( $user_lang );
									echo '<select size="1" name="user_language_install" type="submit" onchange="this.form.submit();">';
									foreach ( $user_lang as $user_lang_found ){
										if( $user_lang_found == $user_language_install ){
											echo '<option value ="'.$user_lang_found.'" Selected>'.ucfirst($user_lang_found)."</option>\n";
										}else{
											echo '<option value ="'.$user_lang_found.'">'.ucfirst($user_lang_found)."</option>\n";
										}
									}
									echo '</select>';
									?>
								</td>
							</tr>
							<!-- end frontend -->

							<tr>
								<td colspan="2">&nbsp;</td>
							</tr>
							<tr>
								<td colspan="2"><?php echo _INSTALL_LANGUAGE_NOTE; ?></td>
							</tr>
						</table>
					</div>
				</div>
				<div class="install-form">
					<div class="form-block">
						<table class="content">
							<?php
							if( preg_match( '/-/', $admin_language_install ) || $admin_language_install == '' ){
								$tmp_admin_language_install = '<font color="red">' . _INSTALL_LANGUAGE_CHOOSE . '</font>';
							}else $tmp_admin_language_install = '<font color="green">' . ucfirst( $admin_language_install ) . '</font>';
							if( preg_match( '/-/', $user_language_install ) || $user_language_install == '' ){
								$tmp_user_language_install = '<font color="red">' . _INSTALL_LANGUAGE_CHOOSE . '</font>';
							}else $tmp_user_language_install = '<font color="green">' . ucfirst( $user_language_install ) . '</font>';
							?>
							<tr>
								<td><strong><?php echo _INSTALL_LANGUAGE_CHECK; ?></strong></td>
							<tr>
								<td><?php echo _INSTALL_LANGUAGE_LABEL; ?></td>
								<td>
									<font color="green"><strong><?php echo ucfirst( $language_install ); ?></strong></font>
								</td>
							</tr>
							<tr>
								<td><?php echo _INSTALL_LANGUAGE_BACK; ?></td>
								<td><strong><?php echo $tmp_admin_language_install ; ?></strong></td>
							</tr>
							<tr>
								<td><?php echo _INSTALL_LANGUAGE_FRONT; ?></td>
								<td><strong><?php echo $tmp_user_language_install ; ?></strong></td>
							</tr>
							<tr>
								<td>Encoding</td>
								<td>
									<font color="green"><strong><?php echo $install_iso; ?></strong></font>
								</td>
							</tr>
						</table>
					</div>
				</div>
			</form>

			<div class="clr"></div>
			<h1><?php echo _INSTALL_PRECHECK_SECTION.'<br />'.$version; ?></h1>
			<div class="install-text"> <?php echo _INSTALL_PRECHECK_DESCRIPTION; ?>
				<div class="ctr"></div>
			</div>

			<div class="install-form">
				<div class="form-block">
					<table class="content">
						<tr>
							<td class="item"><?php echo _INSTALL_PHP_VERSION; ?></td>
							<td align="left">
								<?php echo phpversion() < '4.1' ? '<strong><font color="red">'._INSTALL_NO.'</font></strong>' : '<strong><font color="green">'._INSTALL_YES.'</font></strong>'; ?>
								&nbsp;(<strong> <?php echo phpversion(); ?></strong> )
							</td>
						</tr>

						<tr>
							<td><?php echo _INSTALL_PHP_ZLIB; ?></td>
							<td align="left">
								<?php echo extension_loaded('zlib') ? '<strong><font color="green">'._INSTALL_AVAILABLE.'</font></strong>' : '<strong><font color="red">'._INSTALL_UNAVAILABLE.'</font></strong>'; ?>
							</td>
						</tr>

						<tr>
							<td><?php echo _INSTALL_PHP_XML; ?></td>
							<td align="left">
								<?php echo extension_loaded('xml') ? '<strong><font color="green">'._INSTALL_AVAILABLE.'</font></strong>' : '<strong><font color="red">'._INSTALL_UNAVAILABLE.'</font></strong>'; ?>
							</td>
						</tr>

						<tr>
							<td><?php echo _INSTALL_PHP_MYSQL; ?></td>
							<td align="left">
								<?php echo function_exists( 'mysql_connect' ) ? '<strong><font color="green">'._INSTALL_AVAILABLE.'</font></strong>' : '<strong><font color="red">'._INSTALL_UNAVAILABLE.'</font></strong>'; ?>
							</td>
						</tr>

						<tr>
							<td valign="top" class="item"><?php echo _INSTALL_CONFIG_FILE; ?></td>
							<td align="left">
								<?php
								if (@file_exists('../configuration.php') && @is_writable( '../configuration.php' )){
									echo '<strong><font color="green">'._INSTALL_WRITABLE.'</font></strong>';
								} else if ( @is_writable( '..' ) ) {
									echo '<strong><font color="green">'._INSTALL_WRITABLE.'</font></strong>';
								} else {
									echo '<strong>configuration.php<br /><font color="red">'._INSTALL_UNWRITABLE.'</font></strong><br /><span class="small">'._INSTALL_PHP_CONF.'</span>';
								} ?>
							</td>
						</tr>

						<tr>
							<td class="item"><?php echo _INSTALL_SESSION; ?></td>
							<td align="left">
								<strong><?php echo (( $sp=ini_get('session.save_path')) ? '' : _INSTALL_SESSION_NOT_SET ); ?></strong>
								<?php echo is_writable( $sp ) ? '<strong><font color="green">'._INSTALL_WRITABLE.'</font></strong>' : '<strong>'.$sp.'<br /><font color="red">'._INSTALL_UNWRITABLE.'</font></strong>'; ?>
							</td>
						</tr>
					</table>
				</div>
			</div>

			<div class="clr"></div>
			<h1><?php echo _INSTALL_PHP_SETTINGS_TITLE; ?></h1>
			<div class="install-text"> <?php echo _INSTALL_PHP_SETTINGS_DESCRIPTION; ?>
				<div class="ctr"></div>
			</div>

			<div class="install-form">
				<div class="form-block">
					<table class="content">
						<tr>
							<td class="toggle"><?php echo _INSTALL_PHP_FONCTION; ?></td>
							<td class="toggle"><?php echo _INSTALL_PHP_FONCTION_IDEAL; ?></td>
							<td class="toggle"><?php echo _INSTALL_PHP_FONCTION_ACTUAL; ?></td>
						</tr>

						<?php
						$php_recommended_settings = array(
							array (_INSTALL_PHP_MODE, 'safe_mode', _INSTALL_OFF),
							array (_INSTALL_PHP_ERRORS, 'display_errors', _INSTALL_ON),
							array (_INSTALL_PHP_UPLOAD, 'file_uploads', _INSTALL_ON),
							array (_INSTALL_PHP_QUOTES_GPC, 'magic_quotes_gpc', _INSTALL_ON),
							array (_INSTALL_PHP_QUOTES_RUNTIME, 'magic_quotes_runtime', _INSTALL_OFF),
							array (_INSTALL_PHP_GLOBALS, 'register_globals', _INSTALL_OFF),
							array (_INSTALL_PHP_OUTBUFFER, 'output_buffering', _INSTALL_OFF),
							array (_INSTALL_PHP_AUTOSTART_SESSION, 'session.auto_start', _INSTALL_OFF),
						);

						foreach ($php_recommended_settings as $phprec) { ?>
							<tr>
								<td class="item"><?php echo $phprec[0]; ?></td>
								<td class="toggle"><?php echo $phprec[2]; ?></td>
								<td>
									<?php
									if ( get_php_setting($phprec[1]) == $phprec[2] ) { ?>
										<font color="green"><strong>
										<?php
									} else { ?>
										<font color="red"><strong>
										<?php
									}
									echo get_php_setting($phprec[1]); ?>
									</strong></font>
								</td>
							</tr>
							<?php
						} // end foreach
						?>
					</table>
				</div>
			</div>

			<div class="clr"></div>
			<h1><?php echo _INSTALL_DIRFILE_PERMS; ?></h1>
			<div class="install-text"> <?php echo _INSTALL_DIRFILE_PERMS_INFO; ?>
				<div class="clr">&nbsp;&nbsp;</div>
				<div class="ctr"></div>
			</div>

			<div class="install-form">
				<div class="form-block">
			    	<table class="content">
						<?php
						writableCell( 'administrator/backups' );
						writableCell( 'administrator/components' );
						writableCell( 'administrator/modules' );
						writableCell( 'administrator/templates' );
						writableCell( 'cache' );
						writableCell( 'components' );
						writableCell( 'images' );
						writableCell( 'images/banners' );
						writableCell( 'images/stories' );
						writableCell( 'language' );
						writableCell( 'mambots' );
						writableCell( 'mambots/content' );
						writableCell( 'mambots/search' );
						writableCell( 'media' );
						writableCell( 'modules' );
						writableCell( 'templates' );
						?>
					</table>
				</div>

				<div class="clr"></div>
			</div>

			<div class="clr"></div>
		</div>

<!--<div class="clr"></div>
		<h1><?php echo _INSTALL_ADD_SETTINGS; ?></h1>
		<div class="install-text"> <?php echo _INSTALL_ADD_SETTINGS_DESC; ?>
			<div class="clr">&nbsp;&nbsp;</div>
			<div class="ctr"></div>
		</div>-->

<!--<div class="install-form">
			<div class="form-block">
				<table class="content">
					<tr>
						<td class="toggle"><?php echo _INSTALL_PHP_FONCTION; ?></td>
						<td class="toggle"><?php echo _INSTALL_PHP_FONCTION_IDEAL; ?></td>
						<td class="toggle"><?php echo _INSTALL_PHP_FONCTION_ACTUAL; ?></td>
					</tr>
					<?php
					$php_recommended_settings = array(
						array ('allow_url_fopen', 'allow_url_fopen', _INSTALL_OFF),
						array ('short_open_tag', 'short_open_tag', _INSTALL_OFF),
						array ('post_max_size', 'post_max_size', '8M'),
						array ('upload_max_filesize', 'upload_max_filesize', '2M'),
						array ('default_socket_timeout (in sec.)', 'default_socket_timeout', '30'),
						array ('max_execution_time (in sec.)', 'max_execution_time', '30'),
					);

					foreach ( $php_recommended_settings as $phprec ) { ?>
						<tr>
							<td class="item"><?php echo $phprec[0]; ?></td>
							<td class="toggle"><?php echo $phprec[2]; ?></td>
							<td>
								<?php
								$act_val = ini_get( $phprec[1] );
								if( $act_val == '1' || $act_val == '2' || $act_val == ''){
									if ( get_php_setting( $phprec[1] ) == $phprec[2] ) { ?>
										<font color="green"><strong>
										<?php
									} else { ?>
										<font color="red"><strong>
										<?php
									}
								}

								if( $act_val == '1' ){
									echo _INSTALL_ON;
								}elseif( $act_val == '2' || $act_val == '' ){
									echo _INSTALL_OFF;
								}else echo '<strong>'.$act_val; ?>
								</strong></font>
							</td>
						</tr>
						<?php
					} // end foreach
					?>
				</table>
			</div>

			<div class="clr"></div>
		</div>-->

	<!--<div class="clr"></div>
		<h1><?php echo _INSTALL_LANGUAGE_SERVER; ?></h1>
		<div class="install-text"> <?php echo _INSTALL_LANGUAGE_DESC; ?>
			<div class="clr">&nbsp;&nbsp;</div>
			<div class="ctr"></div>
		</div>-->

<!--<div class="install-form">
			<div class="form-block">
				<table class="content">

					<?php
					// phpversions fallback if phpversion is < 4.3
					if( phpversion() >= '4.3' ){ ?>
					<tr>
						<td class="toggle"><?php echo _INSTALL_LANGUAGE_LABEL; ?></td>
						<td class="toggle"><?php echo _INSTALL_LANGUAGE_SETTING; ?></td>
						<td class="toggle"><?php echo _INSTALL_LANGUAGE_DATE; ?></td>
					</tr>

					<tr>
						<td><?php echo _INSTALL_LNG_DE; ?></td>
						<td><?php echo '<strong>'.$lng_code['de']['loc'].'</strong>'; ?></td>
						<td><?php
							setlocale(LC_TIME, $lng_code['de']['loc']);
							echo strftime( '%A, %e. %B %Y', time() ); ?>
						</td>
					</tr>
					<tr>
						<td><?php echo _INSTALL_LNG_EN; ?></td>
						<td><?php echo '<strong>'.$lng_code['en']['loc'].'</strong>'; ?></td>
						<td><?php
							setlocale(LC_TIME, $lng_code['en']['loc']);
							echo strftime( '%A, %e. %B %Y', time() ); ?>
						</td>
					</tr>
					<tr>
						<td><?php echo _INSTALL_LNG_FR; ?></td>
						<td><?php echo '<strong>'.$lng_code['fr']['loc'].'</strong>'; ?></td>
						<td><?php
							setlocale(LC_TIME, $lng_code['fr']['loc']);
							echo strftime( '%A, %e. %B %Y', time() ); ?>
						</td>
					</tr>
					<tr>
						<td><?php echo _INSTALL_LNG_IT; ?></td>
						<td><?php echo '<strong>'.$lng_code['it']['loc'].'</strong>'; ?></td>
						<td><?php
							setlocale(LC_TIME, $lng_code['it']['loc']);
							echo strftime( '%A, %e. %B %Y', time() ); ?>
						</td>
					</tr>
					<tr>
						<td colspan="3"><hr></td>
					</tr>
					<tr>
						<td><?php echo _INSTALL_LNG_AR; ?></td>
						<td><?php echo '<strong>'.$lng_code['ar']['loc'].'</strong>'; ?></td>
						<td><?php
							setlocale(LC_TIME, $lng_code['ar']['loc']);
							echo strftime( '%A, %e. %B %Y', time() ); ?>
						</td>
					</tr>
					<tr>
						<td><?php echo _INSTALL_LNG_BG; ?></td>
						<td><?php echo '<strong>'.$lng_code['bg']['loc'].'</strong>'; ?></td>
						<td><?php
							setlocale(LC_TIME, $lng_code['bg']['loc']);
							echo strftime( '%A, %e. %B %Y', time() ); ?>
						</td>
					</tr>
					<tr>
						<td><?php echo _INSTALL_LNG_CS; ?></td>
						<td><?php echo '<strong>'.$lng_code['cs']['loc'].'</strong>'; ?></td>
						<td><?php
							setlocale(LC_TIME, $lng_code['cs']['loc']);
							echo strftime( '%A, %e. %B %Y', time() ); ?>
						</td>
					</tr>
					<tr>
						<td><?php echo _INSTALL_LNG_DA; ?></td>
						<td><?php echo '<strong>'.$lng_code['da']['loc'].'</strong>'; ?></td>
						<td><?php
							setlocale(LC_TIME, $lng_code['da']['loc']);
							echo strftime( '%A, %e. %B %Y', time() ); ?>
						</td>
					</tr>
					<tr>
						<td><?php echo _INSTALL_LNG_ES; ?></td>
						<td><?php echo '<strong>'.$lng_code['es']['loc'].'</strong>'; ?></td>
						<td><?php
							setlocale(LC_TIME, $lng_code['es']['loc']);
							echo strftime( '%A, %e. %B %Y', time() ); ?>
						</td>
					</tr>
					<tr>
						<td><?php echo _INSTALL_LNG_FI; ?></td>
						<td><?php echo '<strong>'.$lng_code['fi']['loc'].'</strong>'; ?></td>
						<td><?php
							setlocale(LC_TIME, $lng_code['fi']['loc']);
							echo strftime( '%A, %e. %B %Y', time() ); ?>
						</td>
					</tr>
					<tr>
						<td><?php echo _INSTALL_LNG_HR; ?></td>
						<td><?php echo '<strong>'.$lng_code['hr']['loc'].'</strong>'; ?></td>
						<td><?php
							setlocale(LC_TIME, $lng_code['hr']['loc']);
							echo strftime( '%A, %e. %B %Y', time() ); ?>
						</td>
					</tr>
					<tr>
						<td><?php echo _INSTALL_LNG_HU; ?></td>
						<td><?php echo '<strong>'.$lng_code['hu']['loc'].'</strong>'; ?></td>
						<td><?php
							setlocale(LC_TIME, $lng_code['hu']['loc']);
							echo strftime( '%A, %e. %B %Y', time() ); ?>
						</td>
					</tr>
					<tr>
						<td><?php echo _INSTALL_LNG_LT; ?></td>
						<td><?php echo '<strong>'.$lng_code['lt']['loc'].'</strong>'; ?></td>
						<td><?php
							setlocale(LC_TIME, $lng_code['lt']['loc']);
							echo strftime( '%A, %e. %B %Y', time() ); ?>
						</td>
					</tr>
					<tr>
						<td><?php echo _INSTALL_LNG_NL; ?></td>
						<td><?php echo '<strong>'.$lng_code['nl']['loc'].'</strong>'; ?></td>
						<td><?php
							setlocale(LC_TIME, $lng_code['nl']['loc']);
							echo strftime( '%A, %e. %B %Y', time() ); ?>
						</td>
					</tr>
					<tr>
						<td><?php echo _INSTALL_LNG_PL; ?></td>
						<td><?php echo '<strong>'.$lng_code['pl']['loc'].'</strong>'; ?></td>
						<td><?php
							setlocale(LC_TIME, $lng_code['pl']['loc']);
							echo strftime( '%A, %e. %B %Y', time() ); ?>
						</td>
					</tr>
					<tr>
						<td><?php echo _INSTALL_LNG_PT; ?></td>
						<td><?php echo '<strong>'.$lng_code['pt']['loc'].'</strong>'; ?></td>
						<td><?php
							setlocale(LC_TIME, $lng_code['pt']['loc']);
							echo strftime( '%A, %e. %B %Y', time() ); ?>
						</td>
					</tr>
					<tr>
						<td><?php echo _INSTALL_LNG_RU; ?></td>
						<td><?php echo '<strong>'.$lng_code['ru']['loc'].'</strong>'; ?></td>
						<td><?php
							setlocale(LC_TIME, $lng_code['ru']['loc']);
							echo strftime( '%A, %e. %B %Y', time() ); ?>
						</td>
					</tr>
					<tr>
						<td><?php echo _INSTALL_LNG_SV; ?></td>
						<td><?php echo '<strong>'.$lng_code['sv']['loc'].'</strong>'; ?></td>
						<td><?php
							setlocale(LC_TIME, $lng_code['sv']['loc']);
							echo strftime( '%A, %e. %B %Y', time() ); ?>
						</td>
					</tr>
					<?php
					}else{ ?>
						<tr>
							<td colspan="3">
								<font color="red">
								<?php echo sprintf( _INSTALL_MESS_OLDPHP1, phpversion() ); ?>
								<br />
								<?php echo _INSTALL_MESS_OLDPHP2; ?>
								</font>
							</td>
						<?php
					}

					/* for future upgrades or something else ...
					<tr>
						<td colspan="3"><hr></td>
					</tr>
					<tr>
						<td colspan="2"><strong>Verfgbare Sprachen/Available Languages</strong></td>
						<td><?php echo '"'. count($lng_code).'"'; ?></td>
					</tr>
					*/
					?>
				</table>
			</div>
			<div class="clr"></div>
		</div>-->

		<div class="clr"></div>
	</div>

	<div class="clr"></div>
  </div>
<div class="clr"></div>
</div>

<div class="ctr">
	<?php echo _MIRO_COPYRIGHT; ?>
	<a href="http://www.mamboserver.com" target="_blank">Mambo</a><?php echo _MIRO_GNUGPL; ?>
</div>
</body>
</html>